<html>
<head>
<title>Ogre::LinkedSkeletonAnimationSource Struct Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="structOgre_1_1LinkedSkeletonAnimationSource.html">LinkedSkeletonAnimationSource</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a>  </div>
  <div class="headertitle">
<div class="title">Ogre::LinkedSkeletonAnimationSource Struct Reference<div class="ingroups"><a class="el" href="group__Animation.html">Animation</a></div></div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="Ogre::LinkedSkeletonAnimationSource" -->
<p>Link to another skeleton to share animations.  
 <a href="structOgre_1_1LinkedSkeletonAnimationSource.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="OgreSkeleton_8h_source.html">OgreSkeleton.h</a>&gt;</code></p>

<p><a href="structOgre_1_1LinkedSkeletonAnimationSource-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1LinkedSkeletonAnimationSource.html#a7a01cb43456b193136f19dd60e9ec7f2">LinkedSkeletonAnimationSource</a> (const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;skelName, <a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> scl)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1LinkedSkeletonAnimationSource.html#ad04b9f46242d6c0f8226f423274a3c40">LinkedSkeletonAnimationSource</a> (const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;skelName, <a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> scl, <a class="el" href="classOgre_1_1SkeletonPtr.html">SkeletonPtr</a> skelPtr)</td></tr>
<tr><td colspan="2"><h2><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1LinkedSkeletonAnimationSource.html#a18367921f5c2e7eddaf14a54dacd3484">skeletonName</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1SkeletonPtr.html">SkeletonPtr</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1LinkedSkeletonAnimationSource.html#a02c73a85564ec0047f8de9b71e771331">pSkeleton</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1LinkedSkeletonAnimationSource.html#a79bb4debcd21595087623b9a8d17d121">scale</a></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>Link to another skeleton to share animations. </p>

<p>Definition at line <a class="el" href="OgreSkeleton_8h_source.html#l00521">521</a> of file <a class="el" href="OgreSkeleton_8h_source.html">OgreSkeleton.h</a>.</p>
</div><hr/><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="a7a01cb43456b193136f19dd60e9ec7f2"></a><!-- doxytag: member="Ogre::LinkedSkeletonAnimationSource::LinkedSkeletonAnimationSource" ref="a7a01cb43456b193136f19dd60e9ec7f2" args="(const String &amp;skelName, Real scl)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structOgre_1_1LinkedSkeletonAnimationSource.html#a7a01cb43456b193136f19dd60e9ec7f2">Ogre::LinkedSkeletonAnimationSource::LinkedSkeletonAnimationSource</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>skelName</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&#160;</td>
          <td class="paramname"><em>scl</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreSkeleton_8h_source.html#l00526">526</a> of file <a class="el" href="OgreSkeleton_8h_source.html">OgreSkeleton.h</a>.</p>

</div>
</div>
<a class="anchor" id="ad04b9f46242d6c0f8226f423274a3c40"></a><!-- doxytag: member="Ogre::LinkedSkeletonAnimationSource::LinkedSkeletonAnimationSource" ref="ad04b9f46242d6c0f8226f423274a3c40" args="(const String &amp;skelName, Real scl, SkeletonPtr skelPtr)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structOgre_1_1LinkedSkeletonAnimationSource.html#a7a01cb43456b193136f19dd60e9ec7f2">Ogre::LinkedSkeletonAnimationSource::LinkedSkeletonAnimationSource</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>skelName</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&#160;</td>
          <td class="paramname"><em>scl</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1SkeletonPtr.html">SkeletonPtr</a>&#160;</td>
          <td class="paramname"><em>skelPtr</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreSkeleton_8h_source.html#l00528">528</a> of file <a class="el" href="OgreSkeleton_8h_source.html">OgreSkeleton.h</a>.</p>

</div>
</div>
<hr/><h2>Member Data Documentation</h2>
<a class="anchor" id="a02c73a85564ec0047f8de9b71e771331"></a><!-- doxytag: member="Ogre::LinkedSkeletonAnimationSource::pSkeleton" ref="a02c73a85564ec0047f8de9b71e771331" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1SkeletonPtr.html">SkeletonPtr</a> <a class="el" href="structOgre_1_1LinkedSkeletonAnimationSource.html#a02c73a85564ec0047f8de9b71e771331">Ogre::LinkedSkeletonAnimationSource::pSkeleton</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreSkeleton_8h_source.html#l00524">524</a> of file <a class="el" href="OgreSkeleton_8h_source.html">OgreSkeleton.h</a>.</p>

</div>
</div>
<a class="anchor" id="a79bb4debcd21595087623b9a8d17d121"></a><!-- doxytag: member="Ogre::LinkedSkeletonAnimationSource::scale" ref="a79bb4debcd21595087623b9a8d17d121" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> <a class="el" href="structOgre_1_1LinkedSkeletonAnimationSource.html#a79bb4debcd21595087623b9a8d17d121">Ogre::LinkedSkeletonAnimationSource::scale</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreSkeleton_8h_source.html#l00525">525</a> of file <a class="el" href="OgreSkeleton_8h_source.html">OgreSkeleton.h</a>.</p>

</div>
</div>
<a class="anchor" id="a18367921f5c2e7eddaf14a54dacd3484"></a><!-- doxytag: member="Ogre::LinkedSkeletonAnimationSource::skeletonName" ref="a18367921f5c2e7eddaf14a54dacd3484" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="el" href="structOgre_1_1LinkedSkeletonAnimationSource.html#a18367921f5c2e7eddaf14a54dacd3484">Ogre::LinkedSkeletonAnimationSource::skeletonName</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreSkeleton_8h_source.html#l00523">523</a> of file <a class="el" href="OgreSkeleton_8h_source.html">OgreSkeleton.h</a>.</p>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li><a class="el" href="OgreSkeleton_8h_source.html">OgreSkeleton.h</a></li>
</ul>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:49:07
</p>
</body>
</html>
